import Vue from 'vue'
import App from './App'

import msgUtils from './utils/msgUtils.js'
import path from './utils/skip'
import '@/utils/filter/filterUtils.js'

// 注册全局组件
import MescrollBody from "@/components/mescroll-uni/mescroll-body.vue"
import MescrollUni from "@/components/mescroll-uni/mescroll-uni.vue"
Vue.component('mescroll-body', MescrollBody)
Vue.component('mescroll-uni', MescrollUni)




// #ifdef H5
// 提交前需要注释  本地调试使用
// const vconsole = require('vconsole')
// Vue.prototype.$vconsole = new vconsole() // 使用vconsole
// #endif

import CustomNavbarPage from '@/pages/components/customNavbarPage.vue'
import CropStatusbarHeight from '@/pages/components/crop-statusbar-height/crop-statusbar-height.vue'
Vue.component('custom-navbar-page', CustomNavbarPage)
Vue.component('crop-statusbar-height', CropStatusbarHeight)

Vue.config.productionTip = false
Vue.prototype.$api = msgUtils
Vue.prototype.$path = path

App.mpType = 'app'

const app = new Vue({
    ...App,
	path
})
app.$mount()
